<template>
  <div
    class="table-container fr-collapse"
    tabindex="0"
  >
    <div class="fr-table fr-table--no-caption stripped-table">
      <table>
        <caption>
          Détails des rôles et habilitations
        </caption>
        <thead>
          <tr>
            <th scope="col">Fonctionnalité</th>
            <th scope="col">Responsable de structure</th>
            <th scope="col">Travailleur social</th>
            <th scope="col">Instructeur</th>
            <th scope="col">Agent d'accueil</th>
            <th scope="col">Référent</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td>Création et désactivation d'un utilisateur</td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
          </tr>
          <tr>
            <td>Accès à la liste des utilisateurs</td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
          </tr>
          <tr>
            <td>Changement du rôle d'un utilisateur</td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
          </tr>
          <tr>
            <td>Personnalisation de la structure</td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
          </tr>
          <tr>
            <td>Accès à la base de données bénéficiaires</td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td>* les dossiers dont il est référent</td>
          </tr>
          <tr>
            <td>Création d'une fiche bénéficiaire</td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td>* informations générales</td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
          </tr>
          <tr>
            <td>Consultation et modification d'une fiche bénéficiaire</td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td>* informations générales</td>
            <td>* si il est référent</td>
          </tr>
          <tr>
            <td>Suppression d'une fiche bénéficiaire</td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
          </tr>
          <tr>
            <td>
              Affectation ou retrait d'un agent référent sur une fiche
              bénéficiaire
            </td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td></td>
            <td>* si il est référent</td>
          </tr>
          <!--
            NOTE: Not implemented
            <tr>
              <td>Export de la base de données bénéficiaires</td>
              <td class="fr-icon-check-line allowed-action-bg"></td>
              <td></td>
              <td></td>
              <td></td>
              <td></td>
            </tr>
          -->
          <tr>
            <td>Ajout de documents</td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td>* si il est référent</td>
          </tr>
          <tr>
            <td>Consultation des documents</td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td>* non confidentiels</td>
            <td>* si ajoutés par lui</td>
            <td>* si il est référent</td>
          </tr>
          <tr>
            <td>Modification d'un document</td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td>* non confidentiels</td>
            <td>* si ajoutés par lui</td>
            <td>* si il est référent</td>
          </tr>
          <tr>
            <td>Suppression d'un document</td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td></td>
            <td></td>
            <td>* si il est référent</td>
          </tr>
          <tr>
            <td>Création d'une synthèse d'entretien</td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td>* si il est référent</td>
          </tr>
          <tr>
            <td>Aperçu de la synthèse d'entretien</td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td>* si il est référent</td>
          </tr>
          <tr>
            <td>Voir le détail de la synthèse d'entretien</td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td>* si créée par lui</td>
            <td>* si il est référent</td>
          </tr>
          <tr>
            <td>Modifier la synthèse d'entretien</td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td>* si créée par lui</td>
            <td>* si créée par lui</td>
            <td>* si créée par lui</td>
            <td>* si créée par lui</td>
          </tr>
          <tr>
            <td>Ajouter un commentaire à la synthèse d'entretien</td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td>* si il est référent</td>
          </tr>
          <tr>
            <td>Voir les commentaires de la synthèse d'entretien</td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td>* si il est référent</td>
          </tr>
          <tr>
            <td>Supprimer une synthèse d'entretien</td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td>* si créée par lui</td>
            <td>* si créée par lui</td>
            <td></td>
            <td>* si il est référent</td>
          </tr>
          <tr>
            <td>Création d'une demande d'aide</td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td></td>
            <td>* si il est référent</td>
          </tr>
          <tr>
            <td>Aperçu de la demande d'aide</td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td>* si il est référent</td>
          </tr>
          <tr>
            <td>Voir le détail de la demande d'aide</td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td>* si créée par lui</td>
            <td></td>
            <td>* si il est référent</td>
          </tr>
          <tr>
            <td>Modifier la demande d'aide</td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td>* si créée par lui</td>
            <td>* si créée par lui</td>
            <td></td>
            <td>* si créée par lui</td>
          </tr>
          <tr>
            <td>Ajouter un commentaire à la demande d'aide</td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td>* si il est référent</td>
          </tr>
          <tr>
            <td>Voir les commentaires de la demande d'aide</td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td>* si il est référent</td>
          </tr>
          <tr>
            <td>Supprimer la demande d'aide</td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td>* si créée par lui</td>
            <td>* si créée par lui</td>
            <td></td>
            <td>* si il est référent</td>
          </tr>
          <tr>
            <td>Accès au simulateur de droits sociaux</td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
          </tr>
          <tr>
            <td>Accès à la page Accompagnements</td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td>* les dossiers dont il est référent</td>
          </tr>
          <!--
            NOTE: Not implemented
            <tr>
              <td>Exporter le tableau des accompagnements</td>
              <td class="fr-icon-check-line allowed-action-bg"></td>
              <td class="fr-icon-check-line allowed-action-bg"></td>
              <td class="fr-icon-check-line allowed-action-bg"></td>
              <td></td>
              <td>* les dossiers dont il est référent</td>
            </tr>
          -->
          <tr>
            <td>Visualiser les statistiques</td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
            <td></td>
            <td class="fr-icon-check-line allowed-action-bg"></td>
          </tr>
          <!--
            NOTE: Not implemented
            <tr>
              <td>Exporter les statistiques</td>
              <td class="fr-icon-check-line allowed-action-bg"></td>
              <td class="fr-icon-check-line allowed-action-bg"></td>
              <td></td>
              <td></td>
              <td></td>
            </tr>
          -->
        </tbody>
      </table>
    </div>
  </div>
</template>

<style scoped>
  th:first-child,
  td:first-child {
    left: 0;
    position: sticky;
    z-index: 50;
    max-width: 14rem;
  }

  th:nth-child(2),
  td:nth-child(2) {
    max-width: 8rem;
  }

  td:not(:first-child) {
    text-align: center;
  }

  th:first-child,
  tr:nth-child(odd) td:first-child {
    background-color: white;
  }

  tr:nth-child(even) td:first-child {
    background-color: var(--background-contrast-grey);
  }

  .allowed-action-bg {
    background-color: var(--green-emeraude-main-632);
  }
</style>
